Path::IsDev::NegativeHeuristic::HomeDir(3)

NAME
Path::IsDev::NegativeHeuristic::HomeDir - User home directories are not development roots

VERSION
version 1.001003

METHODS

  "paths"
Excludes any values returned by "File::HomeDir"

    uniq grep { defined and length }
      File::HomeDir->my_home,
      File::HomeDir->my_desktop,
      File::HomeDir->my_music,
      File::HomeDir->my_pictures,
      File::HomeDir->my_videos,
      File::HomeDir->my_data;

  "excludes"
Excludes any path that matches a "realpath" of a "File::HomeDir" path

AUTHOR
Kent Fredric <kentnl@cpan.org>

COPYRIGHT AND LICENSE
This software is copyright (c) 2017 by Kent Fredric <kentfredric@gmail.com>.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.